/* 
 *	(c) 2003-2004 by Peter Wimmer
 *  pwimmer@gmx.at
 *
 *  GplMpgDec.ax is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2, or (at your option)
 *  any later version.
 *   
 *  GplMpgDec.ax is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 *  GNU General Public License for more details.
 *   
 *  You should have received a copy of the GNU General Public License
 *  along with GNU Make; see the file COPYING.  If not, write to
 *  the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA. 
 *  http://www.gnu.org/copyleft/gpl.html
 *
 */

#include "Mpeg2DecFilterInterface.h"

// 'Settings' property page
class CMpegProperties:
  public CBasePropertyPage
{
public:
  static CUnknown * WINAPI CreateInstance(LPUNKNOWN lpunk, HRESULT *phr);
private:
  CMpegProperties(LPUNKNOWN lpunk, HRESULT *phr);
  BOOL OnReceiveMessage(HWND hwnd,UINT uMsg,WPARAM wParam,LPARAM lParam);
  HRESULT OnConnect(IUnknown *pUnknown);
  HRESULT OnDisconnect();
  HRESULT OnActivate();
  HRESULT OnDeactivate();
  HRESULT OnApplyChanges();
  void GetControlValues();
  BOOL m_bIsInitialized;
  double m_fBrightness, m_fContrast, m_fHue, m_fSaturation;
  int m_iDeinterlaceMethod;
  IMpeg2DecFilter *m_pMpeg2DecFilter;
};

// 'About' property page
class CAboutProperties:
  public CBasePropertyPage
{
public:
  static CUnknown * WINAPI CreateInstance(LPUNKNOWN lpunk, HRESULT *phr);
private:
  CAboutProperties(LPUNKNOWN lpunk, HRESULT *phr);
//  BOOL OnReceiveMessage(HWND hwnd,UINT uMsg,WPARAM wParam,LPARAM lParam);
//  HRESULT OnConnect(IUnknown *pUnknown);
//  HRESULT OnDisconnect();
//  HRESULT OnActivate();
//  HRESULT OnDeactivate();
//  HRESULT OnApplyChanges();
//  BOOL m_bIsInitialized;
};